@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.shiftCard {
  width: 100%;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: $lightBlueSecColor;
  border: 1px solid $lightBlueColor;
  border-radius: 0px 15px 15px 0px;
  margin-bottom: 15px;
  padding: 5px;
  cursor: pointer;

  .color {
    width: 6px;
    height: 100%;
    border-radius: 200px;
    margin-right: 27px;
  }

  .section {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-grow: 1;
    padding: 0px 35px;
    border-right: 1px solid $greyColor;
    @include font($fontGotham, 18px, 21.6px);
    color: $greyText;

    &:last-child {
      border-right: none;
    }

    .smallText {
      @include font($fontGothamLight, 14px, 16.8px);
      color: $greyColor;
      margin-bottom: 3px;
    }
  }

  .firstSection {
    width: 45%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding-right: 25px !important;
    padding-left: 0 !important;

    .name {
      @include font($fontGotham, 20px, 24px);
      color: $greyText;
    }

    .userData {
      width: 220px;
      display: flex;
      align-items: center;

      .avatar {
        margin-right: 20px;
      }

      .info {
        .name {
          width: 140px;
          margin-bottom: 5px;
          white-space: nowrap;
          overflow: hidden;
          -o-text-overflow: ellipsis;
          -ms-text-overflow: ellipsis;
          text-overflow: ellipsis;
        }

        .level {
          @include font($fontGotham, 14px, 16.8px);
          color: $greyColor;
        }
      }
    }
  }
}
